> ## Documentation Index
> Fetch the complete documentation index at: https://velocity-api-docs.medshift.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve customer label



## OpenAPI

````yaml /openapi.json get /v1/customer_labels/{id}/
openapi: 3.0.3
info:
  title: Velocity for BigCommerce Zapier API
  version: 0.0.1
servers:
  - url: https://{tenant}.api.velocity.medshift.com/integrations/zapier
    variables:
      tenant:
        default: your-subdomain
        description: Your tenant's subdomain.
security: []
paths:
  /v1/customer_labels/{id}/:
    get:
      tags:
        - Customer Labels
      summary: Retrieve customer label
      operationId: v1_customer_labels_retrieve
      parameters:
        - in: path
          name: id
          schema:
            type: string
          required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CustomerLabel'
          description: ''
      security:
        - ZapierAuthentication: []
components:
  schemas:
    CustomerLabel:
      type: object
      properties:
        id:
          type: string
          format: uuid
        name:
          type: string
          minLength: 1
        hex_color:
          type: string
          minLength: 6
          maxLength: 6
      required:
        - hex_color
        - id
        - name
  securitySchemes:
    ZapierAuthentication:
      type: apiKey
      in: header
      name: X-API-Key

````